# Tcl package index file, version 1.0

global env

    switch $env(os) {
        Win  {
           package ifneeded Tclx 8.4 [list load [file join $dir bin_Win tclx84.dll] Tclx]
        }        
        SunOS  {
           package ifneeded Tclx 8.4 [list load [file join $dir lib_SunOS libtclx8.4.so] Tclx]
        }
        Linux  {
           switch -glob $env(machine) {
               x*86 {
                   package ifneeded Tclx 8.4 [list load [file join $dir lib_Linux libtclx8.4.so] Tclx]
               }
               x86_64 {
                   package ifneeded Tclx 8.4 [list load [file join $dir lib_Linux64 libtclx8.4.so] Tclx]
               }
               ppc {
                   package ifneeded Tclx 8.4 [list load [file join $dir lib_linux-$env(processor) libtclx8.4.so] Tclx]
               }
               default {puts stderr "unknown or unsupported machine - $env(machine)"}
           }
        }
    }

